## org.eclipse.datatools.modelbase.sql.schema
Interface SQLSchemaPackage.Literals

Enclosing interface:
  SQLSchemaPackage

    public static interface SQLSchemaPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `CATALOG` The meta object literal for the '`Catalog`' class.
`static org.eclipse.emf.ecore.EReference` `CATALOG__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EReference` `CATALOG__SCHEMAS` The meta object literal for the 'Schemas' reference list feature.
`static org.eclipse.emf.ecore.EClass` `COMMENT` The meta object literal for the '`Comment`' class.
`static org.eclipse.emf.ecore.EAttribute` `COMMENT__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EReference` `COMMENT__SQL_OBJECT` The meta object literal for the 'SQL Object' reference feature.
`static org.eclipse.emf.ecore.EClass` `DATABASE` The meta object literal for the '`Database`' class.
`static org.eclipse.emf.ecore.EReference` `DATABASE__AUTHORIZATION_IDS` The meta object literal for the 'Authorization Ids' reference list feature.
`static org.eclipse.emf.ecore.EReference` `DATABASE__CATALOGS` The meta object literal for the 'Catalogs' reference list feature.
`static org.eclipse.emf.ecore.EReference` `DATABASE__EVENTS` The meta object literal for the 'Events' reference list feature.
`static org.eclipse.emf.ecore.EReference` `DATABASE__SCHEMAS` The meta object literal for the 'Schemas' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `DATABASE__VENDOR` The meta object literal for the 'Vendor' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `DATABASE__VERSION` The meta object literal for the 'Version' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `DATE` The meta object literal for the 'Date' data type.
`static org.eclipse.emf.ecore.EClass` `DEPENDENCY` The meta object literal for the '`Dependency`' class.
`static org.eclipse.emf.ecore.EAttribute` `DEPENDENCY__DEPENDENCY_TYPE` The meta object literal for the 'Dependency Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` `DEPENDENCY__TARGET_END` The meta object literal for the 'Target End' reference feature.
`static org.eclipse.emf.ecore.EClass` `EVENT` The meta object literal for the '`Event`' class.
`static org.eclipse.emf.ecore.EAttribute` `EVENT__ACTION` The meta object literal for the 'Action' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EVENT__CONDITION` The meta object literal for the 'Condition' attribute feature.
`static org.eclipse.emf.ecore.EReference` `EVENT__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `EVENT__ENABLED` The meta object literal for the 'Enabled' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `EVENT__FOR` The meta object literal for the 'For' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `GENERATE_TYPE` The meta object literal for the '`Generate Type`' enum.
`static org.eclipse.emf.ecore.EClass` `IDENTITY_SPECIFIER` The meta object literal for the '`Identity Specifier`' class.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__CYCLE_OPTION` The meta object literal for the 'Cycle Option' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__GENERATION_TYPE` The meta object literal for the 'Generation Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__INCREMENT` The meta object literal for the 'Increment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__MAXIMUM` The meta object literal for the 'Maximum' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__MINIMUM` The meta object literal for the 'Minimum' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IDENTITY_SPECIFIER__START_VALUE` The meta object literal for the 'Start Value' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `LIST` The meta object literal for the 'List' data type.
`static org.eclipse.emf.ecore.EClass` `OBJECT_EXTENSION` The meta object literal for the '`Object Extension`' class.
`static org.eclipse.emf.ecore.EReference` `OBJECT_EXTENSION__SQL_OBJECT` The meta object literal for the 'SQL Object' container reference feature.
`static org.eclipse.emf.ecore.EEnum` `REFERENTIAL_ACTION_TYPE` The meta object literal for the '`Referential Action Type`' enum.
`static org.eclipse.emf.ecore.EClass` `SCHEMA` The meta object literal for the '`Schema`' class.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__ASSERTIONS` The meta object literal for the 'Assertions' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__CATALOG` The meta object literal for the 'Catalog' reference feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__CHAR_SETS` The meta object literal for the 'Char Sets' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__INDICES` The meta object literal for the 'Indices' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__OWNER` The meta object literal for the 'Owner' reference feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__ROUTINES` The meta object literal for the 'Routines' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__SEQUENCES` The meta object literal for the 'Sequences' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__TABLES` The meta object literal for the 'Tables' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__TRIGGERS` The meta object literal for the 'Triggers' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SCHEMA__USER_DEFINED_TYPES` The meta object literal for the 'User Defined Types' reference list feature.
`static org.eclipse.emf.ecore.EClass` `SEQUENCE` The meta object literal for the '`Sequence`' class.
`static org.eclipse.emf.ecore.EReference` `SEQUENCE__IDENTITY` The meta object literal for the 'Identity' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `SEQUENCE__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EClass` `SQL_OBJECT` The meta object literal for the '`SQL Object`' class.
`static org.eclipse.emf.ecore.EReference` `SQL_OBJECT__COMMENTS` The meta object literal for the 'Comments' reference list feature.
`static org.eclipse.emf.ecore.EReference` `SQL_OBJECT__DEPENDENCIES` The meta object literal for the 'Dependencies' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SQL_OBJECT__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SQL_OBJECT__EXTENSIONS` The meta object literal for the 'Extensions' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `SQL_OBJECT__LABEL` The meta object literal for the 'Label' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SQL_OBJECT__PRIVILEGES` The meta object literal for the 'Privileges' reference list feature.
`static org.eclipse.emf.ecore.EClass` `TYPED_ELEMENT` The meta object literal for the '`Typed Element`' class.
`static org.eclipse.emf.ecore.EReference` `TYPED_ELEMENT__CONTAINED_TYPE` The meta object literal for the 'Contained Type' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `TYPED_ELEMENT__REFERENCED_TYPE` The meta object literal for the 'Referenced Type' reference feature.

Field Detail

### IDENTITY_SPECIFIER

    static final org.eclipse.emf.ecore.EClass IDENTITY_SPECIFIER

  The meta object literal for the '`Identity Specifier`' class.

  See Also:
    `IdentitySpecifierImpl`, `SQLSchemaPackageImpl.getIdentitySpecifier()`

### IDENTITY_SPECIFIER__GENERATION_TYPE

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__GENERATION_TYPE

  The meta object literal for the 'Generation Type' attribute feature.

### IDENTITY_SPECIFIER__START_VALUE

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__START_VALUE

  The meta object literal for the 'Start Value' attribute feature.

### IDENTITY_SPECIFIER__INCREMENT

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__INCREMENT

  The meta object literal for the 'Increment' attribute feature.

### IDENTITY_SPECIFIER__MINIMUM

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__MINIMUM

  The meta object literal for the 'Minimum' attribute feature.

### IDENTITY_SPECIFIER__MAXIMUM

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__MAXIMUM

  The meta object literal for the 'Maximum' attribute feature.

### IDENTITY_SPECIFIER__CYCLE_OPTION

    static final org.eclipse.emf.ecore.EAttribute IDENTITY_SPECIFIER__CYCLE_OPTION

  The meta object literal for the 'Cycle Option' attribute feature.

### TYPED_ELEMENT

    static final org.eclipse.emf.ecore.EClass TYPED_ELEMENT

  The meta object literal for the '`Typed Element`' class.

  See Also:
    `TypedElementImpl`, `SQLSchemaPackageImpl.getTypedElement()`

### TYPED_ELEMENT__CONTAINED_TYPE

    static final org.eclipse.emf.ecore.EReference TYPED_ELEMENT__CONTAINED_TYPE

  The meta object literal for the 'Contained Type' containment reference feature.

### TYPED_ELEMENT__REFERENCED_TYPE

    static final org.eclipse.emf.ecore.EReference TYPED_ELEMENT__REFERENCED_TYPE

  The meta object literal for the 'Referenced Type' reference feature.

### DEPENDENCY

    static final org.eclipse.emf.ecore.EClass DEPENDENCY

  The meta object literal for the '`Dependency`' class.

  See Also:
    `DependencyImpl`, `SQLSchemaPackageImpl.getDependency()`

### DEPENDENCY__TARGET_END

    static final org.eclipse.emf.ecore.EReference DEPENDENCY__TARGET_END

  The meta object literal for the 'Target End' reference feature.

### DEPENDENCY__DEPENDENCY_TYPE

    static final org.eclipse.emf.ecore.EAttribute DEPENDENCY__DEPENDENCY_TYPE

  The meta object literal for the 'Dependency Type' attribute feature.

### SCHEMA

    static final org.eclipse.emf.ecore.EClass SCHEMA

  The meta object literal for the '`Schema`' class.

  See Also:
    `SchemaImpl`, `SQLSchemaPackageImpl.getSchema()`

### SCHEMA__TRIGGERS

    static final org.eclipse.emf.ecore.EReference SCHEMA__TRIGGERS

  The meta object literal for the 'Triggers' reference list feature.

### SCHEMA__INDICES

    static final org.eclipse.emf.ecore.EReference SCHEMA__INDICES

  The meta object literal for the 'Indices' reference list feature.

### SCHEMA__TABLES

    static final org.eclipse.emf.ecore.EReference SCHEMA__TABLES

  The meta object literal for the 'Tables' reference list feature.

### SCHEMA__SEQUENCES

    static final org.eclipse.emf.ecore.EReference SCHEMA__SEQUENCES

  The meta object literal for the 'Sequences' reference list feature.

### SCHEMA__DATABASE

    static final org.eclipse.emf.ecore.EReference SCHEMA__DATABASE

  The meta object literal for the 'Database' reference feature.

### SCHEMA__CATALOG

    static final org.eclipse.emf.ecore.EReference SCHEMA__CATALOG

  The meta object literal for the 'Catalog' reference feature.

### SCHEMA__ASSERTIONS

    static final org.eclipse.emf.ecore.EReference SCHEMA__ASSERTIONS

  The meta object literal for the 'Assertions' reference list feature.

### SCHEMA__USER_DEFINED_TYPES

    static final org.eclipse.emf.ecore.EReference SCHEMA__USER_DEFINED_TYPES

  The meta object literal for the 'User Defined Types' reference list feature.

### SCHEMA__CHAR_SETS

    static final org.eclipse.emf.ecore.EReference SCHEMA__CHAR_SETS

  The meta object literal for the 'Char Sets' reference list feature.

### SCHEMA__ROUTINES

    static final org.eclipse.emf.ecore.EReference SCHEMA__ROUTINES

  The meta object literal for the 'Routines' reference list feature.

### SCHEMA__OWNER

    static final org.eclipse.emf.ecore.EReference SCHEMA__OWNER

  The meta object literal for the 'Owner' reference feature.

### SQL_OBJECT

    static final org.eclipse.emf.ecore.EClass SQL_OBJECT

  The meta object literal for the '`SQL Object`' class.

  See Also:
    `SQLObjectImpl`, `SQLSchemaPackageImpl.getSQLObject()`

### SQL_OBJECT__DEPENDENCIES

    static final org.eclipse.emf.ecore.EReference SQL_OBJECT__DEPENDENCIES

  The meta object literal for the 'Dependencies' containment reference list feature.

### SQL_OBJECT__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute SQL_OBJECT__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### SQL_OBJECT__LABEL

    static final org.eclipse.emf.ecore.EAttribute SQL_OBJECT__LABEL

  The meta object literal for the 'Label' attribute feature.

### SQL_OBJECT__COMMENTS

    static final org.eclipse.emf.ecore.EReference SQL_OBJECT__COMMENTS

  The meta object literal for the 'Comments' reference list feature.

### SQL_OBJECT__EXTENSIONS

    static final org.eclipse.emf.ecore.EReference SQL_OBJECT__EXTENSIONS

  The meta object literal for the 'Extensions' containment reference list feature.

### SQL_OBJECT__PRIVILEGES

    static final org.eclipse.emf.ecore.EReference SQL_OBJECT__PRIVILEGES

  The meta object literal for the 'Privileges' reference list feature.

### SEQUENCE

    static final org.eclipse.emf.ecore.EClass SEQUENCE

  The meta object literal for the '`Sequence`' class.

  See Also:
    `SequenceImpl`, `SQLSchemaPackageImpl.getSequence()`

### SEQUENCE__IDENTITY

    static final org.eclipse.emf.ecore.EReference SEQUENCE__IDENTITY

  The meta object literal for the 'Identity' containment reference feature.

### SEQUENCE__SCHEMA

    static final org.eclipse.emf.ecore.EReference SEQUENCE__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### DATABASE

    static final org.eclipse.emf.ecore.EClass DATABASE

  The meta object literal for the '`Database`' class.

  See Also:
    `DatabaseImpl`, `SQLSchemaPackageImpl.getDatabase()`

### DATABASE__VENDOR

    static final org.eclipse.emf.ecore.EAttribute DATABASE__VENDOR

  The meta object literal for the 'Vendor' attribute feature.

### DATABASE__VERSION

    static final org.eclipse.emf.ecore.EAttribute DATABASE__VERSION

  The meta object literal for the 'Version' attribute feature.

### DATABASE__SCHEMAS

    static final org.eclipse.emf.ecore.EReference DATABASE__SCHEMAS

  The meta object literal for the 'Schemas' reference list feature.

### DATABASE__EVENTS

    static final org.eclipse.emf.ecore.EReference DATABASE__EVENTS

  The meta object literal for the 'Events' reference list feature.

### DATABASE__CATALOGS

    static final org.eclipse.emf.ecore.EReference DATABASE__CATALOGS

  The meta object literal for the 'Catalogs' reference list feature.

### DATABASE__AUTHORIZATION_IDS

    static final org.eclipse.emf.ecore.EReference DATABASE__AUTHORIZATION_IDS

  The meta object literal for the 'Authorization Ids' reference list feature.

### EVENT

    static final org.eclipse.emf.ecore.EClass EVENT

  The meta object literal for the '`Event`' class.

  See Also:
    `EventImpl`, `SQLSchemaPackageImpl.getEvent()`

### EVENT__FOR

    static final org.eclipse.emf.ecore.EAttribute EVENT__FOR

  The meta object literal for the 'For' attribute feature.

### EVENT__CONDITION

    static final org.eclipse.emf.ecore.EAttribute EVENT__CONDITION

  The meta object literal for the 'Condition' attribute feature.

### EVENT__ACTION

    static final org.eclipse.emf.ecore.EAttribute EVENT__ACTION

  The meta object literal for the 'Action' attribute feature.

### EVENT__ENABLED

    static final org.eclipse.emf.ecore.EAttribute EVENT__ENABLED

  The meta object literal for the 'Enabled' attribute feature.

### EVENT__DATABASE

    static final org.eclipse.emf.ecore.EReference EVENT__DATABASE

  The meta object literal for the 'Database' reference feature.

### COMMENT

    static final org.eclipse.emf.ecore.EClass COMMENT

  The meta object literal for the '`Comment`' class.

  See Also:
    `CommentImpl`, `SQLSchemaPackageImpl.getComment()`

### COMMENT__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute COMMENT__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### COMMENT__SQL_OBJECT

    static final org.eclipse.emf.ecore.EReference COMMENT__SQL_OBJECT

  The meta object literal for the 'SQL Object' reference feature.

### CATALOG

    static final org.eclipse.emf.ecore.EClass CATALOG

  The meta object literal for the '`Catalog`' class.

  See Also:
    `CatalogImpl`, `SQLSchemaPackageImpl.getCatalog()`

### CATALOG__DATABASE

    static final org.eclipse.emf.ecore.EReference CATALOG__DATABASE

  The meta object literal for the 'Database' reference feature.

### CATALOG__SCHEMAS

    static final org.eclipse.emf.ecore.EReference CATALOG__SCHEMAS

  The meta object literal for the 'Schemas' reference list feature.

### OBJECT_EXTENSION

    static final org.eclipse.emf.ecore.EClass OBJECT_EXTENSION

  The meta object literal for the '`Object Extension`' class.

  See Also:
    `ObjectExtension`, `SQLSchemaPackageImpl.getObjectExtension()`

### OBJECT_EXTENSION__SQL_OBJECT

    static final org.eclipse.emf.ecore.EReference OBJECT_EXTENSION__SQL_OBJECT

  The meta object literal for the 'SQL Object' container reference feature.

### GENERATE_TYPE

    static final org.eclipse.emf.ecore.EEnum GENERATE_TYPE

  The meta object literal for the '`Generate Type`' enum.

  See Also:
    `GenerateType`, `SQLSchemaPackageImpl.getGenerateType()`

### REFERENTIAL_ACTION_TYPE

    static final org.eclipse.emf.ecore.EEnum REFERENTIAL_ACTION_TYPE

  The meta object literal for the '`Referential Action Type`' enum.

  See Also:
    `ReferentialActionType`, `SQLSchemaPackageImpl.getReferentialActionType()`

### DATE

    static final org.eclipse.emf.ecore.EDataType DATE

  The meta object literal for the 'Date' data type.

  See Also:
    `Date`, `SQLSchemaPackageImpl.getDate()`

### LIST

    static final org.eclipse.emf.ecore.EDataType LIST

  The meta object literal for the 'List' data type.

  See Also:
    `List`, `SQLSchemaPackageImpl.getList()`